package com.deer.wms.produce.manage.dao;


import com.deer.wms.produce.manage.model.*;
import com.deer.wms.project.seed.core.mapper.Mapper;

import java.util.List;

public interface ProcessMaterialsBomMapper extends Mapper<ProcessMaterialsBom> {

    List<ProcessMaterialsBomVo> findProcMatBomVoListByProId(ProcessMaterialsBomParams params);

    List<ProcessMaterialsBom> findListByProcessBomId(ProcessMaterialsBomParams params);

    List<MaterialInfoVo> findMaterilaListByProcessBomId(ProcessBom processBom);

    void insertOrUpdate(List<ProcessMaterialsBom> processMaterialsBomList);

    List<ProcessMaterialsBomVo> findProcMatBomVoListByProcBom(ProcessMaterialsBomParams procMatBomParams);
}